unbound: msg_parse Struct Reference

unbound 0.1

Data Fields
msg_parse Struct Reference

Data stored in scratch pad memory during parsing. More...

`#include <msgparse.h>`

## Data Fields
uint16_t | id
| id from message, network format.
uint16_t | flags
| flags from message, host format.
uint16_t | qdcount
| count of RRs, host format
uint16_t | ancount
| count of RRs, host format
uint16_t | nscount
| count of RRs, host format
uint16_t | arcount
| count of RRs, host format
size_t | an_rrsets
| count of RRsets per section.
size_t | ns_rrsets
| count of RRsets per section.
size_t | ar_rrsets
| count of RRsets per section.
size_t | rrset_count
| total number of rrsets found.
uint8_t * | qname
| query dname (pointer to start location in packet, NULL if none
size_t | qname_len
| length of query dname in octets, 0 if none
uint16_t | qtype
| query type, host order.
uint16_t | qclass
| query class, host order.
struct rrset_parse * | hashtable [PARSE_TABLE_SIZE]
| Hash table array used during parsing to lookup rrset types.
struct rrset_parse * | rrset_first
| linked list of rrsets that have been found (in order).
struct rrset_parse * | rrset_last
| last element of rrset list.

## Detailed Description

Data stored in scratch pad memory during parsing.

Stores the data that will enter into the msgreply and packet result.

## Field Documentation

## ◆ qtype

uint16_t msg_parse::qtype

query type, host order.

0 if qdcount=0

Referenced by add_rr_to_rrset(), change_rrsig_rrset(), parse_create_qinfo(), parse_query_section(), and scrub_message().

## ◆ qclass

uint16_t msg_parse::qclass

query class, host order.

0 if qdcount=0

Referenced by parse_create_qinfo(), parse_query_section(), and scrub_message().

## ◆ hashtable

struct rrset_parse* msg_parse::hashtable[PARSE_TABLE_SIZE]

Hash table array used during parsing to lookup rrset types.

Based on name, type, class. Same hash value as in rrset cache.

Referenced by change_rrsig_rrset(), msgparse_bucket_remove(), msgparse_hashtable_lookup(), and new_rrset().

The documentation for this struct was generated from the following file:

- util/data/msgparse.h